<!--
Project: Content Management System.
Component: Writer (File 3 of 5).
Filename: "add_asset_metadata.php".
Purpose: Add associated metadata for uploaded assets.
-->

<!-- 
We need to first obtain the asset identifier that is sent from the upload page.  We will use this identifier in our form below to	indicate the ID for a particular asset.  Since we are passing this information through the URI, we need to use the GET protocol.	We will also grab the asset's filename using the same method.
-->

<?php 

$assetId = $_GET["asset_id"]; 
$assetFilename = $_GET["asset_filename"];

$temp = explode(".",$assetFilename);

$defaultName = $temp[0];
$suffix = $temp[1];

switch($suffix)
	{
	case "doc":
		$mediaType = "MS-Word Document";
		break;
	case "pdf":
		$mediaType = "Adobe PDF Document";
		break;
	case "gif":
	case "jpg":
		$mediaType = "Image File";
		break;
	case "txt":
		$mediaType = "Plain text Document";
		break;
	default:
		$mediaType = "Unknown Media";
		break;
	}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title> Simple Content Management System </title>
 </head>

 <body>

<h1>Simple Content Management System</h1>
<h2>Step 2a: Add Asset Metadata</h2>

<!-- 
This form will "post" the data, or send it behind the scenes to the file 
specified in the action attribute.  In this case, it goes to a file 
named process_asset_metadata.php
-->

<p>When selecting categories and years, hold down the control key to select multiple values.</p>

<form method="post" action="process_asset_metadata.php">
<table>
	<tr>
		<td>Asset Id:</td>
		<!-- This is a simple text field that is "read only".  The value is sent from the uploading form.  -->
		<td colspan="3"><input type="text" readonly name="asset_id" value="<?php echo $assetId; ?>"></td>
	</tr>
	<tr>
		<td>Asset Filename:</td>
		<!-- This is a simple text field that is "read only".  The value is sent from the uploading form.  -->
		<td colspan="3"><input type="text" readonly name="asset_filename" value="<?php echo $assetFilename; ?>"></td>
	</tr>
	<tr>
		<td>Asset Name:</td>
		<!-- This is a simple text field -->
		<td colspan="3"><input type="text" name="asset_name" value="<?php echo $defaultName; ?>"></td>
	</tr>
	<tr>
		<td valign="top">Asset Category:</td>
		<!-- This is a drop down field -->
		<td><select name="asset_category[]" size="10" multiple>
				<option value="New Media">New Media</option>
				<option value="Print">Print</option>
				<option value="Management">Management</option>
				<option value="Advertising">Advertising</option>
				<option value="Alpha Project">Alpha Project</option>
				<option value="Beta Project">Beta Project</option>
				<option value="Gamma Project">Gamma Project</option>
				<option value="Delta Project">Delta Project</option>				
				<option value="Epsilon Project">Epsilon Project</option>
				<option value="Needs Revision">Needs Revision</option>
			</select>
		</td>
		<td valign="top">Years Used:</td>
		<!-- This is a drop down field -->
		<td>
			<select name="asset_years_used[]" size="10" multiple>
			<?php
			for ($i = 2010; $i > 2000; $i--)
				{
				if (date("Y") == $i)
					echo  "<option value=\"$i\" selected>$i</option>";
				else
					echo "<option value=\"$i\">$i</option>";
				}
			?>			
			</select>
		</td>
	</tr>
	<tr>
		<td>Asset Media Type:</td>
		<!-- This is a simple text field -->
		<td colspan="3"><input type="text" name="asset_media_type" value="<?php echo $mediaType; ?>"></td>
	</tr>
	<tr>
		<td>Asset Description</td>
		<!-- This is a textarea, which provides more room for writing -->
		<td colspan="3"><textarea name="asset_description" rows="5" cols="45"></textarea></td>
	</tr>
  </table>  
 </body>

 <br /><br />

<!--
When the submit button is pressed, each of the values typed into the text fields and the textarea form will be stored in the 
names associated with each form element (asset id, asset filename, asset_name, asset_category, asset_media_type, and asset_description).
-->

 <input type="submit" name="submit" value="Add Asset Metadata">
 </form>

</html>

<!-- End of "add_asset_metadata.php" file -->