<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
Project: Content Management System.
Component: XSL Transform (File 1 of 1).
Filename: "asset_collection_transform.xsl".
Purpose: Transform an XML asset collection into an HTML-based tabular table format.
-->

<xsl:template match="/">

<html>
<head>
	<title> Content Management System: Current Asset Collection </title>
</head>

	<body>
	<!-- transform assets into a table -->
	<h1>Asset Collection</h1>
	<table border="1">
	<tr>
		<th>Id</th>
		<th>Filename</th>
		<th>Name</th>
		<th>Categories</th>
		<th>Years Used</th>
		<th>Media</th>
		<th>Description</th>					
	</tr>	
	<xsl:for-each select="asset_collection/asset">
	<tr>
		<td><xsl:value-of select="id"/></td>
		<td><a href="../assets/{filename}"><xsl:value-of select="filename"/></a>
		</td>
		<td><xsl:value-of select="name"/></td>
		<td><xsl:value-of select="category"/></td>
		<td><xsl:value-of select="years"/></td>
		<td><xsl:value-of select="media"/></td>
		<td><xsl:value-of select="description"/></td> 			         		
	</tr>
	</xsl:for-each>		
	</table>
	</body>
</html>

</xsl:template>
</xsl:stylesheet>

<!-- End of "asset_collection_transform.xsl" file -->