<!--
Project: Content Management System.
Component: Reader/Parser (File 1 of 2).
Filename: "select_xml.php".
Purpose: Selects the XML document to send to the parser.
-->

<?php

/*
This variable holds the name of the directory containing the metadata for the content management system */
$metaDataDirectory = "metadata";

/* 
This variable would need to be modified to run on non-Windows operating systems.  This is a system command that will list the current files with an XML extension. The /b characters tell the system to print this information in "bare" mode with only filenames in the output.  This system will also work only if the XML documents are stored in metadata directory as defined in the $metaDataDirectory variable.
*/
$directoryListingCommand = "dir /b {$metaDataDirectory}\*.xml";

/*
This command will load the results from this system command into an array.  Each filename will be stored in a separate index location in the array.  Explode is a special function in PHP that will figuratively blast apart (or tokenize) a string based upon the character used as the first argument to the explode function.  For instance, in this usage, the explode command will take the string returned from the system directory command and then separate it into individual units according to where new lines are indicated in the string (recall that the \n character sequence indicates a new line in PHP).  These individual units are then stored in an array named "files" which is iterated through below in order to list each file as a selection in the drop down menu.
*/
$temp = `$directoryListingCommand`;
$files = explode("\n",$temp); 

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title> Simple Content Management System </title>
 </head>

 <body>

<h1>Simple Content Management System</h1>
<h2>Select XML File</h2>

<form method="get" action="parse_xml.php">

<?php
if ($files[0] == "")
	{
	echo "There are no XML files to select.  Click <a href=\"upload_asset.html\">here</a> to create a library.<br />";
	}
else
	{
	?>	
	<select name="inputFilename">
	<?php
	foreach ($files as $file)
		{
		if ($file <> "") echo "<option value=\"".$file."\">".$file."</option>";
		}
	?>		
	</select>

	<input type="submit" value="go">
	<?php
	}
?>


</form>

</body>

</html>

<!-- End of "select_xml.php" file -->